Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.worker
Class GlassPaneInterceptor

    java.lang.Object
      com.pietschy.command.worker.GlassPaneInterceptor

All Implemented Interfaces:
  ActionCommandInterceptor

    public class GlassPaneInterceptor

extends java.lang.Object
implements ActionCommandInterceptor

An interceptor that can be applied to standard `ActionCommand`s to lookup and activate the current `GlassPaneStrategy`. This class is intended for use when using libraries like Foxtrot or other threading mechanisms rather than using the `SwingWorkerCommand` directly.

The interceptor will pass the command as the source parameter to the `GlassPaneStrategy`.

See Also:
  `CommandContainer.setGlassPaneStrategy(GlassPaneStrategy)`

Constructor Summary
`GlassPaneInterceptor()`

Method Summary
`void` | `afterExecute(ActionCommand command)` Dectivates the current `GlassPaneStrategy` passing the command as the source parameter.
`boolean` | `beforeExecute(ActionCommand command)` Activates the current `GlassPaneStrategy` passing the command as the source parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlassPaneInterceptor

    public GlassPaneInterceptor()

Method Detail

### beforeExecute

    public boolean beforeExecute(ActionCommand command)

  Activates the current `GlassPaneStrategy` passing the command as the source parameter.

  Specified by:
    `beforeExecute` in interface `ActionCommandInterceptor`
  Parameters:
    `command` - the command being intercepted.
  Returns:
    `true`.

### afterExecute

    public void afterExecute(ActionCommand command)

  Dectivates the current `GlassPaneStrategy` passing the command as the source parameter.

  Specified by:
    `afterExecute` in interface `ActionCommandInterceptor`
  Parameters:
    `command` - the command being intercepted.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch